Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## be.fgov.ehealth.dics.core.v4.core
Class QuantityType

    java.lang.Object
      be.fgov.ehealth.dics.core.v4.core.QuantityType

All Implemented Interfaces:
  Serializable

    @Generated(value="com.sun.tools.xjc.Driver",
               date="2018-09-20T05:36:45+02:00",
               comments="JAXB RI v2.2.11")
    public class QuantityType

extends Object
implements Serializable

Java class for QuantityType complex type.

The following schema fragment specifies the expected content contained within this class.

     <complexType name="QuantityType">
       <simpleContent>
         <extension base="<http://www.w3.org/2001/XMLSchema>decimal">
           <attribute name="Unit" use="required" type="{http://www.w3.org/2001/XMLSchema}string" />
         </extension>
       </simpleContent>
     </complexType>

See Also:
  Serialized Form

Constructor Summary
`QuantityType()`

Method Summary
`String` | `getUnit()` Gets the value of the unit property.
`BigDecimal` | `getValue()` Gets the value of the value property.
`void` | `setUnit(String value)` Sets the value of the unit property.
`void` | `setValue(BigDecimal value)` Sets the value of the value property.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### QuantityType

    public QuantityType()

Method Detail

### getValue

    public BigDecimal getValue()

  Gets the value of the value property.

  Returns:
    possible object is `BigDecimal`

### setValue

    public void setValue(BigDecimal value)

  Sets the value of the value property.

  Parameters:
    `value` - allowed object is `BigDecimal`

### getUnit

    public String getUnit()

  Gets the value of the unit property.

  Returns:
    possible object is `String`

### setUnit

    public void setUnit(String value)

  Sets the value of the unit property.

  Parameters:
    `value` - allowed object is `String`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Connector Packaging PERSPHYSICIAN 3.16.1 API
Copyright © {inceptionYear}-2018 eHealth. All Rights Reserved.